VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Window Style Properties"
   ClientHeight    =   2280
   ClientLeft      =   5310
   ClientTop       =   2235
   ClientWidth     =   5415
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2280
   ScaleWidth      =   5415
   StartUpPosition =   2  'CenterScreen
   WhatsThisHelp   =   -1  'True
   Begin VB.CheckBox chkMove 
      Caption         =   "Move Form"
      Height          =   255
      Left            =   2760
      TabIndex        =   10
      ToolTipText     =   "When checked, user may drag form by depressing left mouse button anywhere on form."
      Top             =   1200
      Width           =   2175
   End
   Begin VB.CheckBox chkSystemMenu 
      Caption         =   "Popup System Menu Anywhere"
      Height          =   195
      Left            =   2760
      TabIndex        =   9
      ToolTipText     =   "When checked, right-click anywhere on form brings up system menu."
      Top             =   840
      Width           =   2535
   End
   Begin VB.CheckBox chkMin 
      Caption         =   "Minimize Button"
      Height          =   195
      Left            =   480
      TabIndex        =   8
      ToolTipText     =   "Toggles the normally read-only at runtime MinButton property."
      Top             =   1200
      Width           =   1935
   End
   Begin VB.CheckBox chkMax 
      Caption         =   "Maximize Button"
      Height          =   195
      Left            =   480
      TabIndex        =   7
      ToolTipText     =   "Toggles the normally read-only at runtime MaxButton property."
      Top             =   1560
      Width           =   1935
   End
   Begin VB.CheckBox chkWhatsThis 
      Caption         =   "WhatsThisHelp Button"
      Height          =   195
      Left            =   480
      TabIndex        =   6
      ToolTipText     =   "Toggles the normally read-only at runtime WhatsThisButton property. Only works if both MinButton and MaxButton are not True."
      Top             =   1920
      Width           =   1935
   End
   Begin VB.CheckBox chkTopMost 
      Caption         =   "Top Most Window"
      Height          =   195
      Left            =   2760
      TabIndex        =   5
      ToolTipText     =   "Toggles whether or not window is in topmost layer."
      Top             =   480
      Width           =   1935
   End
   Begin VB.CheckBox chkSizable 
      Caption         =   "Sizable Form"
      Height          =   195
      Left            =   2760
      TabIndex        =   4
      ToolTipText     =   "Toggles whether or not the form is sizable."
      Top             =   120
      Width           =   1935
   End
   Begin VB.CommandButton cmdQuit 
      Cancel          =   -1  'True
      Caption         =   "Quit"
      Height          =   375
      Left            =   4200
      TabIndex        =   3
      Top             =   1800
      Width           =   1095
   End
   Begin VB.CheckBox chkControlMenu 
      Caption         =   "Control Menu"
      Height          =   195
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "Toggles the normally read-only at runtime ControlBox property."
      Top             =   840
      Width           =   1935
   End
   Begin VB.CheckBox chkToolWindow 
      Caption         =   "Tool Window"
      Height          =   195
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "A tool window has a title bar that is shorter than a normal title bar, and the window title is drawn using a smaller font."
      Top             =   480
      Width           =   1935
   End
   Begin VB.CheckBox chkTitleBar 
      Caption         =   "Display or Hide the Title Bar"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Toggles title bar on/off."
      Top             =   120
      Width           =   2295
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
' Class to set style bits.
'
Private mclsStyle As clsStyle
'
' Flag to ignore click events in checkboxes.
'
Private mblnIgnore As Boolean

Private Sub chkMax_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.MaxButton = Abs(chkMax.Value)
    If chkMin.Value = vbChecked And chkMax.Value = vbChecked Then
        chkWhatsThis.Enabled = False
    Else
        chkWhatsThis.Enabled = True
    End If

End Sub

Private Sub chkMin_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.MinButton = Abs(chkMin.Value)
    If chkMin.Value = vbChecked And chkMax.Value = vbChecked Then
        chkWhatsThis.Enabled = False
    Else
        chkWhatsThis.Enabled = True
    End If
    
End Sub

Private Sub chkMove_Click()
    
    If mblnIgnore Then Exit Sub
    mclsStyle.AutoDrag = Abs(chkMove.Value)

End Sub

Private Sub chkSizable_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.Sizable = Abs(chkSizable.Value)

End Sub

Private Sub chkTitleBar_Click()
    
    If mblnIgnore Then Exit Sub
    mclsStyle.Titlebar = Abs(chkTitleBar.Value)

    chkToolWindow.Enabled = Abs(chkTitleBar.Value)
    chkControlMenu.Enabled = Abs(chkTitleBar.Value)
    chkMin.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkMax.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkWhatsThis.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)

End Sub

Private Sub chkControlMenu_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.ControlBox = Abs(chkControlMenu.Value)

    chkToolWindow.Enabled = Abs(chkTitleBar.Value)
    chkMin.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkMax.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkWhatsThis.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)


End Sub

Private Sub chkSystemMenu_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.AutoSysMenu = Abs(chkSystemMenu.Value)
    
End Sub

Private Sub chkToolWindow_Click()
    
    If mblnIgnore Then Exit Sub
    mclsStyle.ToolWindow = Abs(chkToolWindow.Value)

    chkMin.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkMax.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)
    chkWhatsThis.Enabled = Abs(chkTitleBar.Value) And Not Abs(chkToolWindow.Value) And Abs(chkControlMenu.Value)


End Sub

Private Sub chkTopMost_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.TopMost = Abs(chkTopMost.Value)

End Sub

Private Sub chkWhatsThis_Click()

    If mblnIgnore Then Exit Sub
    mclsStyle.WhatsThisButton = Abs(chkWhatsThis.Value)

End Sub

Private Sub cmdQuit_Click()

    Unload Me
    
End Sub

Private Sub Form_Load()
    '
    ' Set up style class.
    '
    Set mclsStyle = New clsStyle
    Set mclsStyle.Client = Me
   
    '
    ' Retrieve the current window style and
    ' set the checkboxes.
    '
    mblnIgnore = True
    chkTitleBar.Value = Abs(mclsStyle.Titlebar)
    chkToolWindow.Value = Abs(mclsStyle.ToolWindow)
    chkControlMenu.Value = Abs(mclsStyle.ControlBox)
    chkMin.Value = Abs(mclsStyle.MinButton)
    chkMax.Value = Abs(mclsStyle.MaxButton)
    chkWhatsThis.Value = Abs(mclsStyle.WhatsThisButton)
    chkSizable.Value = Abs(mclsStyle.Sizable)
    chkTopMost.Value = Abs(mclsStyle.TopMost)
    chkSystemMenu.Value = Abs(mclsStyle.AutoSysMenu)
    chkMove.Value = Abs(mclsStyle.AutoDrag)
    If chkMin.Value = vbChecked And chkMax.Value = vbChecked Then
        chkWhatsThis.Enabled = False
    Else
        chkWhatsThis.Enabled = True
    End If
   
    mblnIgnore = False
End Sub

Private Sub Form_Unload(Cancel As Integer)

    Set mclsStyle = Nothing
    Set frmMain = Nothing
    
End Sub


